package pp.monopoly.game.server;

import com.jme3.math.ColorRGBA;

/**
 * Enum representing six distinct colors for players in the game.
 */
public enum PlayerColor {
    GREEN_LIGHT(new ColorRGBA(0 / 255f, 204 / 255f, 0 / 255f, 1)),   // Hex: 00cc00
    RED(new ColorRGBA(255 / 255f, 0 / 255f, 0 / 255f, 1)),           // Hex: ff0000
    BLUE(new ColorRGBA(0 / 255f, 0 / 255f, 204 / 255f, 1)),          // Hex: 0000cc
    PINK(new ColorRGBA(255 / 255f, 77 / 255f, 166 / 255f, 1)),       // Hex: ff4da6
    GREEN_DARK(new ColorRGBA(0 / 255f, 102 / 255f, 0 / 255f, 1)),    // Hex: 006600
    YELLOW(new ColorRGBA(255 / 255f, 255 / 255f, 0 / 255f, 1));      // Hex: ffff00

    private final ColorRGBA color;

    /**
     * Constructs a PlayerColor with the specified ColorRGBA value.
     *
     * @param color the ColorRGBA value associated with the player color
     */
    PlayerColor(ColorRGBA color) {
        this.color = color;
    } 

    /**
     * Gets the ColorRGBA value of the player color.
     *
     * @return the ColorRGBA value
     */
    public ColorRGBA getColor() {
        return color;
    }
}
